.delivery-detail {
  max-width: 1150px;
  margin: 30px auto;

  &__header {
    padding: 0;

    border-bottom: 2px solid $black-abs;

    position: relative;

    @include sm {
      margin: 0 2rem;

      border-bottom: 1px solid #a0a0a0;
    }
  }

  &__header-action {
    position: absolute;

    bottom: 0;

    font-size: 3rem;
  }

  &__header-action-text {
    display: block;

    margin-bottom: 0.5rem;

    font-size: 1.6rem;
  }

  &__header-title {
    margin: 0;
    margin-bottom: 0.5rem;

    font-size: 2.4rem;
    font-weight: bold;

    @include sm {
      font-size: 2.4rem;
    }
  }

  &__header-subtitle {
    margin: 10px 0 0px 0px;
    font-size: 20px;

    @include sm {
      margin: 1.5rem;
      padding: 1rem 0;
      border-bottom: 1px solid #6d6d6d;
      font-size: 16px;
    }
  }

  &__body {
    display: flex;
    flex-direction: column;
    padding-top: $content-padding;

    @include sm {
      padding: 0;
      margin: 2rem;
      -webkit-box-shadow: 3px 3px 10px 0px rgba(160, 160, 160, 0.75);
      -moz-box-shadow: 3px 3px 10px 0px rgba(160, 160, 160, 0.75);
      box-shadow: 3px 3px 10px 0px rgba(160, 160, 160, 0.75);
    }

    &-title {
      font-size: 26px;
      font-weight: bold;
      margin: 0 0 2.5rem 0;
      display: flex;
      flex-direction: column;

      @include sm {
        font-size: 20px;
        margin: 0 1.5rem 2.5rem;
      }
    }

    .label {
      font-size: 18px;
      width: 30%;
      margin-top: 1rem;
      cursor: pointer;
      padding: 0.6em 0.6em 0.6em;

      @include sm {
        width: auto;
        padding: 0.2em 0.6em 0.3em;
        margin: 2rem 0 0 0;
      }
    }

    &-images {
      display: flex;
      flex-direction: column;

      @include sm {
        flex-direction: row;

        img {
          width: 20%;
          height: 20%;
          margin: 0 2rem 1rem 2rem;
        }
      }

      .description {
        display: flex;
        // justify-content: space-between;
        // width: 84%;
        margin: 0 3%;

        &-element {
          display: flex;
          flex-direction: column;
          width: 26%;

          span {
            margin: 2.5px 0;
            color: #a0a0a0;
          }

          .title {
            color: black;
            font-size: 18px;
            font-weight: bold;
          }

          @include sm {
            width: auto;
            margin-bottom: 30%;
          }
        }

        @include sm {
          flex-direction: column;
          width: 100%;
          max-height: 500px;
          margin: 10px 0px 0px 0px;
        }
      }
    }
  }

  @include sm {
    // &__header-title{
    //     text-align: center;
    // }

    &__header-action ~ &__header-title {
      text-align: right;
    }
  }

  &--summary {
    .delivery-detail {
      &__header-action {
        left: unset;
      }

      @include sm {
        &__header-title {
          text-align: left;
        }
      }
    }
  }
}
